> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create KYC Basic Details

> This api will create a new kyc basic details

This API will create a new KYC basic details record for customer verification.


## OpenAPI

````yaml POST /api/v3/kyc
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/kyc:
    post:
      tags:
        - KYC
      summary: Create Kyc Basic Details
      description: This api will create a new kyc basic details
      operationId: KycController_createKyc_api/v3
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KycBasicDetailsDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Kyc Basic Details created successfully
                  data:
                    $ref: '#/components/schemas/KycResponseDto'
                    type: object
      security:
        - JWT: []
components:
  schemas:
    KycBasicDetailsDto:
      type: object
      properties:
        userEmail:
          type: string
        customerKey:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        dob:
          type: string
          description: should be of this format YYYY-MM-DD
        gender:
          type: string
          enum:
            - M
            - F
        country:
          type: string
          description: example GH,KE,NG
        phone:
          type: string
      required:
        - userEmail
        - customerKey
        - firstName
        - lastName
        - dob
        - gender
        - country
        - phone
    KycResponseDto:
      type: object
      properties:
        status:
          type: string
        kycId:
          type: string
        kycStatus:
          type: boolean
      required:
        - status
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````